gRPC C#
gRPC C#
Namespaces
Grpc.Core
IAsyncStreamWriter(T) Interface
IAsyncStreamWriter(T) Properties
IAsyncStreamWriter(T) Methods

IAsyncStreamWriter T Interface

A writable stream of messages.

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public interface IAsyncStreamWriter<T>

    Public Interface IAsyncStreamWriter(Of T)

    generic<typename T>
    public interface class IAsyncStreamWriter

    type IAsyncStreamWriter<'T> =  interface end

#### Type Parameters

T
  The message type.

The IAsyncStreamWriter
T
type exposes the following members.

Properties

| Name | Description
--- | --- | ---
| WriteOptions | Write options that will be used for the next write. If null, default options will be used. Once set, this property maintains its value across subsequent writes.

Top
Methods

| Name | Description
--- | --- | ---
| WriteAsync | Writes a single asynchronously. Only one write can be pending at a time.

Top
See Also

#### Reference

Grpc.Core Namespace